## org.metaabm.xsd
Class MetaABMPersist

    java.lang.Object
      org.metaabm.xsd.MetaABMPersist

    public class MetaABMPersist

extends java.lang.Object

Field Summary
`static java.lang.String` `CONTEXT_FILE_NAME`

Method Summary
`static MetaABMPersist` `create(java.io.File file)`
`static MetaABMPersist` `create(SContext persist, java.io.File file)`
`static MetaABMPersist` `create(SContext persist, java.lang.String path)`
`static MetaABMPersist` `create(java.lang.String path)`
`static MetaABMPersist` `createURI(org.eclipse.emf.common.util.URI path)`
`SContext` `getContext()`
`org.eclipse.emf.common.util.URI` `getFileURI()`
`org.eclipse.emf.ecore.resource.Resource` `getResource()`
`SContext` `load()`
`static java.lang.String` `platformPath(java.lang.String inputPath)` Normalize classpath to platform specific string, and use cannonical form.
`void` `reset()`
`void` `save()`
`void` `setContext(SContext context)`
`void` `setFile(java.io.File file)`
`void` `setFilePath(java.lang.String path)`
`void` `setFileURI(org.eclipse.emf.common.util.URI fileURI)`
`void` `setResource(org.eclipse.emf.ecore.resource.Resource resource)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT_FILE_NAME

    public static final java.lang.String CONTEXT_FILE_NAME

See Also:
  Constant Field Values

Method Detail

### create

    public static MetaABMPersist create(SContext persist,
                                        java.lang.String path)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### create

    public static MetaABMPersist create(SContext persist,
                                        java.io.File file)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### create

    public static MetaABMPersist create(java.lang.String path)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### createURI

    public static MetaABMPersist createURI(org.eclipse.emf.common.util.URI path)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### create

    public static MetaABMPersist create(java.io.File file)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public SContext load()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public void save()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### platformPath

    public static java.lang.String platformPath(java.lang.String inputPath)

  Normalize classpath to platform specific string, and use cannonical form. Classpaths are expected to be in a standard format ala Ant paths -- i.e. seperator character can be '/' or '\', inputPath seperator must be ';' (to avoid confusion with Window's drive letters).

  Throws:
    `org.xml.sax.SAXException` - in the rare case where file system access is an issue

### getResource

    public org.eclipse.emf.ecore.resource.Resource getResource()

### setResource

    public void setResource(org.eclipse.emf.ecore.resource.Resource resource)

### getContext

    public SContext getContext()

### setContext

    public void setContext(SContext context)

### reset

    public void reset()

### getFileURI

    public org.eclipse.emf.common.util.URI getFileURI()

### setFileURI

    public void setFileURI(org.eclipse.emf.common.util.URI fileURI)

### setFilePath

    public void setFilePath(java.lang.String path)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### setFile

    public void setFile(java.io.File file)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`